---
lang: en
title: 'API docs: repository.wherebuilder.neq'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.wherebuilder.neq.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [WhereBuilder](./repository.wherebuilder.md) &gt; [neq](./repository.wherebuilder.neq.md)

## WhereBuilder.neq() method

Add a `!=` condition

<b>Signature:</b>

```typescript
neq<K extends KeyOf<MT>>(key: K, val: MT[K]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>K</code> | Property name |
|  val | <code>MT[K]</code> | Property value |

<b>Returns:</b>

`this`


